Subject: bug#61690: Failure to mount /sys in nested ‘guix shell’ container

From: Josselin Poiret <[email-masked]>
Date: Thu, 02 Mar 2023 10:54:36 +0100

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> The reason for this bug seems to be given here:
>
>   https://github.com/nestybox/sysbox/issues/67#issuecomment-726285026
>
> It’s not clear whether there’s anything we can do, other than
> recommending ‘-CN’ as well in the nested container.

Couldn't we always create a new network namespace, but when -N is passed
it also has a veth interface?  The one problem I can think of is that
we'd need to either create one veth per interface in the parent
namespace or let the user specify which interface should be shared.

Best,
-- 
Josselin Poiret